[Moin-user] 1.9.0b2 not working

Thomas Waldmann tw-public at gmx.de
Tue Mar 17 13:48:25 EDT 2009


Hi John,

> I had tried to set up a moin 1.7.1 wiki, because that's what got 
> installed when I ran
>   apt-get install python-moinmoin
> on my ubuntu 8.10 machine. But I was unable to get it working.

Well, Debian (and thus Ubuntu) is always a bit behind due to their
longer release and "stabilizing" cycle.

> I was happy to see that moin 1.9.0b2 was released because I'd noticed 
> that it was to be a "native" wsgi installation, rather than install an 
> cgi first and then install on wsgi, because I never got past the cgi 
> install on 1.7.1.

Well, that "do cgi first, then wsgi" in the 1.7/1.8 docs is just a
recommendation to (maybe) make it easier. If you can get it right on
wsgi easily, you don't need to do it the cgi way first.

>   No wiki configuration matching the URL found!

If you run a farm configuration (== you have a farmconfig.py) and the
regexes in there do not match your URL.

Please note that regexes have changed a bit in 1.9 - they include the
protocol etc. now, see also the 1.9 sample configs we supply.

/me has to add some HINT: to docs/CHANGES for that.

> but I cannot think what else to do. I have made symbolic links from 
> every "mistaken" name I can think of to all the config files and still 
> no joy. I'd appreciate anyone's help, if anyone has the time to review 
> my configuration.

		("uspvp", r"^http://ws0\.uspvp\.org/.'$")

There is a typo, it should read .*$ at the end (as you see it in the
examples in the lines above).

Don't forget to enable TextChas in case you run this on the internet.






More information about the Moin-user mailing list